### Virtual Method

# Ide ProjectTemplate get_languages

#### Declaration

    gchar**
    get_languages (
      IdeProjectTemplate* self
    )

#### Description

Gets the list of languages that this template can support when generating the project.

Available since: | 3.32

#### Return value

Returns: | An array of `utf8`
| A newly allocated, NULL terminated list of supported languages.
| The array is `NULL`-terminated.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.